#!/usr/bin/perl

require './linkat_hotspot_libs.pl';

#
# Global vars
#
my %db_config = &read_hotspot_config();
my $dbh = &db_connect(\%db_config);

my %groups = &get_groups_hash($dbh);
my %globalsettings = &get_globalsettings($dbh);


ui_print_header(undef,$text{'index_edit_acls'},"");


#
# Group ACL edit table
#
print ui_form_start('edit_acls_do.cgi', 'post');

@headers = ('header_group', 'header_class', 'header_break', 'header_redirect', 'header_whitelist');
for ($i=0; $i<@headers; $i++) {
	$headers[$i] = $text{$headers[$i]};
}

print ui_columns_start(\@headers,75);

foreach (keys %groups)
{
	my $gid = $groups{$_}{'id'};
	@row = ( "<a href=\"edit_groups.cgi#$_\">".$_."</a>",
		ui_yesno_radio($gid ."_class_access", $groups{$_}{'settings'}{'class_access'}),
		ui_yesno_radio($gid ."_break_access", $groups{$_}{'settings'}{'break_access'}),
		ui_textarea($gid."_redirect_url",$groups{$_}{'settings'}{'redirect_url'},1 ,30),
		ui_links_row(["<a href='edit_list.cgi?destgroup=$_'>".$text{'edit_whitelist'}."</a>"])
		);
	print ui_columns_row(\@row);
}

print ui_columns_end();
print ui_form_end([[undef, $text{'button_save'}]]);

print &ui_hr();


#
# Global settings table
#
print ui_form_start('globalsettings_do.cgi','post');

print ui_table_start($text{'global_settings'}, "width=50%", 2);

# Global settings config parameters
foreach $a (qw/break_hours class_hours default_redirect_url whitelist blacklist default_pass/)
{
	@row = ();
	if (grep /$a/, qw/break_hours class_hours default_redirect_url/)
	{
		# textarea settings
		@row = ( $text{"global_".$a}, ui_textarea($a, $globalsettings{$a}, '1', '25', '100' ) );
	}
	if (grep /$a/, qw/default_redirect_url/)
	{
		# textarea settings
		@row = ( $text{"global_".$a}, ui_textarea($a, $globalsettings{$a}, '1', '45', '100' ) );
	}
	elsif (grep /$a/, qw/default_pass/)
	{
		# boolean settings
		@row = ($text{"global_".$a}, ui_yesno_radio($a,$globalsettings{$a}));
	}
	elsif (grep /$a/, qw/whitelist blacklist/)
	{
		# boolean settings
		@row = ($text{"global_".$a}, ui_links_row(["<a href='edit_list.cgi?destgroup=$a'>".$text{'edit_'.$a}."</a>" ]));
	}
	print ui_table_row(@row, 300, 100);
}

print ui_table_end();

print ui_form_end([[undef, $text{'button_save'}]]);


ui_print_footer("", $text{'footer_mainmenu'});
