#!/usr/bin/perl

require './linkat_hotspot_libs.pl';

#
# Global vars
#
my %db_config = &read_hotspot_config();
my $dbh = &db_connect(\%db_config);

my %groups = &get_groups_hash($dbh);
my %allusers = &get_allusers($dbh);
my %groupusers;

ui_print_header(undef,$text{'index_edit_groups'},"");

my $js = "<script type=\"text/javascript\">
var count1 = 0;
var count2 = 0;

function removeSelectedFromGroup(num)
{
	var leftSel = document.getElementById('groupusers' + num);
	var rightSel = document.getElementById('otherusers' + num);

	for(var i=leftSel.length-1; i>=0; i--)
	{
		if(leftSel.options[i].selected)
		{
			leftSel.options[i].selected = false;
			rightSel.options.add(leftSel.options[i],rightSel.length);
		}
	}
}

function addSelectedToGroup(num)
{
	var leftSel = document.getElementById('groupusers' + num);
	var rightSel = document.getElementById('otherusers' + num);

	for(var i=rightSel.length-1; i>=0; i--)
	{
		if(rightSel.options[i].selected)
		{
			rightSel.options[i].selected = false;
			leftSel.options.add(rightSel.options[i],leftSel.length);
		}
	}
}

function selectAll(num)
{
	var leftSel = document.getElementById('groupusers' + num);
	var rightSel = document.getElementById('otherusers' + num);

	for(var i=0; i < leftSel.options.length; i++)
	{
		leftSel.options[i].selected = true;
	}
	for(var i=0; i < rightSel.options.length; i++)
	{
		rightSel.options[i].selected = true;
	}
}

</script>
";

print $js;

print "<b>".$text{'avaliable_groups'}."</b>";
print "<ul>";
foreach (keys %groups)
{
	print "<li><a href=\"#$_\"> $_ </a></li>";
}
print "</ul>";


print ui_table_start($text{'add_new_group'});
print ui_form_start('add_group_do.cgi');
print ui_table_row($text{'groupname'}, ui_textbox('groupname'));
print ui_table_end();
print ui_form_end([[undef,$text{'create_new_group'}]]);


print &ui_hr();

foreach (keys %groups)
{
	my @selectedusers = ();
	my @otherusers = ();

	my $gid = $groups{$_}{'id'};	

	%groupusers = &get_users_from_group($dbh,$groups{$_}{'id'});
	print "<div id=\"$_\"/>";
	print ui_form_start("edit_groups_do.cgi", "post", undef, "onsubmit=\"return selectAll(".$gid.")\"");
	print ui_hidden('group_id', $gid);

	print ui_table_start($_);
	print &ui_columns_start($_, undef, 0);
	print &ui_columns_header([$text{'header_selected'}, undef,$text{'header_other'}],
					['width=400, align=center','width=30','width=400, align=center']);

	foreach $a (keys %allusers) {
		if ($groupusers{$a}?1:0)
		{
			push(@selectedusers, $allusers{$a});
		}
		else
		{
			push(@otherusers, $allusers{$a});
		}
        }

	$selected_html = '<select id="groupusers'.$gid.'" name="groupusers'.$gid.'" multiple="multiple" size=20>';
	foreach $u (@selectedusers)
	{
		$username = $u->{'name'};
		$uid = $u->{'id'};
		$selected_html .=  "<option value=\"$uid\">$username</option>\n";
	}
	$selected_html .= "</select>\n";

	$js_buttons = '<input type="button" value="->" onclick="removeSelectedFromGroup('.$gid.');" /><br>';
	$js_buttons .= '<input type="button" value="<-" onclick="addSelectedToGroup('.$gid.');" />';

	$other_html = '<select id="otherusers'.$gid.'" name="otherusers'.$gid.'" multiple="multiple" size=20>';
	foreach $u (@otherusers)
	{
		$username = $u->{'name'};
		$uid = $u->{'id'};
		$other_html .=  "<option value=\"$uid\">$username</option>\n";
	}
	$other_html .= "</select>\n";

	print ui_columns_row([$selected_html,$js_buttons, $other_html],['width=400, align=center','width=30','width=400, align=center']);

	print &ui_columns_end();
	print &ui_table_end();
	print ui_form_end([[undef,$text{'button_save'}]]);
	print &ui_hr();
}



print ui_table_start($text{'delete_group'});
print ui_form_start('delete_group_do.cgi');

foreach(keys %groups) 
{
	print ui_radio_columns_row([$_], [], 'group_id', $groups{$_}{'id'});
}

print ui_table_end();
print ui_form_end([[undef,$text{'delete_selected_group'}]]);

ui_print_footer("", $text{'footer_mainmenu'});
