#!/usr/bin/perl

use File::Slurp qw (slurp);

require './linkat_hotspot_libs.pl';


#
# Global vars
#
my %db_config = &read_hotspot_config();
my $dbh = &db_connect(\%db_config);

my %groups = &get_groups_hash($dbh);
my %globalsettings = &get_globalsettings($dbh);

# Read get parameters
ReadParse();

ui_print_header(undef,$text{'index_edit_list'},"");

my $groupname = $in{'destgroup'};

my $domainfile;
my $urlfile;
my $header_text;

my $is_whitelist = 0;
my $is_blacklist = 0;

if ($groupname eq "whitelist")
{
	$domainfile = "/var/lib/squidGuard/db/white/domains";
	$urlfile = "/var/lib/squidGuard/db/white/urls";
	$header_text = $text{'edit_whitelist'};
	$is_whitelist = 1;
} 
elsif ($groupname eq "blacklist") 
{
	$domainfile = "/var/lib/squidGuard/db/black/domains";
	$urlfile = "/var/lib/squidGuard/db/black/urls";
	$header_text = $text{'edit_blacklist'};
	$is_blacklist = 1;
} 
else 
{
	$domainfile = "/var/lib/squidGuard/db/walled/".$groupname."domains";
	$urlfile = "/var/lib/squidGuard/db/walled/".$groupname."urls";
	$header_text = $text{'edit_list_forgroup'} . " " . $groupname;
}


my %lists;

$lists{'domainlist'} = slurp($domainfile);
$lists{'urlist'} = slurp($urlfile);

#
# Group ACL edit table
#

print ui_form_start('edit_list_do.cgi', 'post');

print ui_table_start($header_text, "width=50%", 2);

print ui_hidden("groupname", $groupname);
print ui_hidden("is_blacklist", $is_blacklist);
print ui_hidden("is_whitelist", $is_whitelist);

foreach (keys %lists)
{
	@row = ( $text{$_}, ui_textarea($_, $lists{$_} ,10, 30));
	print ui_table_row(@row, 300, 100);
}

print ui_table_end();
print ui_form_end([[undef, $text{'button_save'}]]);

ui_print_footer("edit_acls.cgi", $text{'footer_back'});
